- IssueType: Epic
  Project: LKQ
  Summary: LKFT, Testing armv9 feature on Graviton
  Epic Name: LKFT, Testing armv9 feature on Graviton
  Description: |-
    Now when we have a way to run tests on a Graviton devices in TuxTest, these
    can be utilized via tuxrun's ssh-device. This means that armv9 features
    should be able to be verified.

    Deliverables,
    * investigate what tests can be enabled to test armv9 features
    * setup a plan that builds and runs the armv9 featured tests for Linux next
    * evaluate the results from these tests.
    * Enable mainline and relevant LTS branches in LKFT

  AssigneeEmail: anders.roxell@linaro.org
  Due date: 2023-08-31
  Share Visibility: [naresh.kamboju@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: Investigate what tests can be enabled to test armv9 features
  Description: |-
    Investigate what tests that we should enable to exercise armv9 features.
    kvm-unit-tests, kselftest-arm64, kselftest-kvm, more?

  AssigneeEmail: anders.roxell@linaro.org
  EpicLink: "LKFT, Testing armv9 feature on Graviton"
  OriginalEstimate: 1d
  Share Visibility: [naresh.kamboju@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: LKFT, Setup a plan that builds and runs the armv9 featured tests for Linux next
  Description: |-
    Add create a kernel that boots on a graviton device, and enable the correct
    fragments to run the specific tests in LKFT's plan file.

  AssigneeEmail: anders.roxell@linaro.org
  EpicLink: "LKFT, Testing armv9 feature on Graviton"
  OriginalEstimate: 1d
  Share Visibility: [naresh.kamboju@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: LKFT, Evaluate teh results from these tests
  Description: |-
    Evalute the results from the build/tests on the Graviton devices.

  AssigneeEmail: anders.roxell@linaro.org
  EpicLink: "LKFT, Testing armv9 feature on Graviton"
  OriginalEstimate: 1d
  Share Visibility: [naresh.kamboju@linaro.org, ben.copeland@linaro.org]

- IssueType: Story
  Project: LKQ
  Summary: LKFT, Enable mainline and relevant LTS branches the plan files
  Description: |-
    Enable mainline and relevant LTS branches in LKFT's plan files.

  AssigneeEmail: anders.roxell@linaro.org
  EpicLink: "LKFT, Testing armv9 feature on Graviton"
  OriginalEstimate: 1d
  Share Visibility: [naresh.kamboju@linaro.org, ben.copeland@linaro.org]
